Bug 809623 - [as7] 'startTime' metric on 'Managed Server' Resources returns null value
[as7] 'startTime' metric on 'Managed Server' Resources returns null value
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.4.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-03 16:23 EDT by Ian Springer
Modified: 2013-08-05 20:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-09 13:12:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-04-03 16:23:03 EDT
Heiko: Not sure about this one -- did that ever exist or did we just add it globally ?
Comment 1 Heiko W. Rupp 2012-04-04 05:19:06 EDT
This now lives at
core-service=platform-mbean/type=runtime:start-time

for standalone

for host=*

for host=*/server=*/
Comment 2 Heiko W. Rupp 2012-04-04 08:09:46 EDT
master 64d1d7f

Note the failure in integration tests comes from the fact that 
the startTime lives on the runtime part of a managed server at

/host=master/server=X -- this is not present for servers that are not started
while they can still be defined at
/host=master/server-config=X

Currently we are returning nothing here, as there is no start time.
Comment 3 Heiko W. Rupp 2012-04-05 05:29:25 EDT
Ian what do you propose we do with the startTime for non-started servers?
Comment 4 Ian Springer 2012-04-05 09:21:49 EDT
// (pseudo-code)
if (metricName.equals("startTime")) {
   if (pingServer()) {
       return getAttribute("startTime");
   } else {
       return null;
   }
}
Comment 5 Ian Springer 2012-04-09 13:12:02 EDT
Closing this, as returning a null value for the 'startTime' trait for a non-started Managed Server is the expected behavior.

Note You need to log in before you can comment on or make changes to this bug.